org.apache.ignite.internal.client.impl

## Class GridClientNodeImpl.Builder

- java.lang.Object
- - org.apache.ignite.internal.client.impl.GridClientNodeImpl.Builder

Enclosing class:
  GridClientNodeImpl

    public static final class GridClientNodeImpl.Builder
    extends Object

Builder for instances of this class.

### Method Summary

All Methods Instance Methods Concrete Methods
`GridClientNodeImpl.Builder` `attributes(Map<String,Object> attrs)` Sets node attributes.
`GridClientNodeImpl` `build()` Finishes instance construction and returns a newly-built instance.
`GridClientNodeImpl.Builder` `caches(Map<String,GridClientCacheMode> caches)` Sets caches available on remote node.
`GridClientNodeImpl.Builder` `connectable(boolean connectable)` Sets connectable property.
`GridClientNodeImpl.Builder` `consistentId(Object consistentId)` Sets node consistent ID.
`GridClientNodeImpl.Builder` `metrics(GridClientNodeMetrics metrics)` Sets node metrics.
`GridClientNodeImpl.Builder` `nodeId(UUID nodeId)` Sets node ID.
`GridClientNodeImpl.Builder` `order(long order)` Set node order within grid topology
`GridClientNodeImpl.Builder` `tcpAddresses(Collection<String> tcpAddrs)` Sets list of REST TCP server addresses.
`GridClientNodeImpl.Builder` `tcpHostNames(Collection<String> tcpHostNames)` Sets list of REST TCP server host names.
`GridClientNodeImpl.Builder` `tcpPort(int tcpPort)` Sets remote TCP port value.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Method Detail

#### build

    public GridClientNodeImpl build()

Finishes instance construction and returns a newly-built instance.

Returns:
  A newly-built instance.

#### nodeId

    public GridClientNodeImpl.Builder nodeId(UUID nodeId)

Sets node ID.

Parameters:
  `nodeId` - Node ID.
Returns:
  This for chaining.

#### consistentId

    public GridClientNodeImpl.Builder consistentId(Object consistentId)

Sets node consistent ID.

Parameters:
  `consistentId` - New consistent ID.
Returns:
  This for chaining.

#### tcpAddresses

    public GridClientNodeImpl.Builder tcpAddresses(Collection<String> tcpAddrs)

Sets list of REST TCP server addresses.

Parameters:
  `tcpAddrs` - List of address strings.
Returns:
  This for chaining.

#### tcpHostNames

    public GridClientNodeImpl.Builder tcpHostNames(Collection<String> tcpHostNames)

Sets list of REST TCP server host names.

Parameters:
  `tcpHostNames` - List of host names.
Returns:
  This for chaining.

#### tcpPort

    public GridClientNodeImpl.Builder tcpPort(int tcpPort)

Sets remote TCP port value.

Parameters:
  `tcpPort` - Sets remote port value.
Returns:
  This for chaining.

#### attributes

    public GridClientNodeImpl.Builder attributes(Map<String,Object> attrs)

Sets node attributes.

Parameters:
  `attrs` - Node attributes.
Returns:
  This for chaining.

#### metrics

    public GridClientNodeImpl.Builder metrics(GridClientNodeMetrics metrics)

Sets node metrics.

Parameters:
  `metrics` - Metrics.
Returns:
  This for chaining.

#### caches

    public GridClientNodeImpl.Builder caches(Map<String,GridClientCacheMode> caches)

Sets caches available on remote node.

Parameters:
  `caches` - Cache map.
Returns:
  This for chaining.

#### connectable

    public GridClientNodeImpl.Builder connectable(boolean connectable)

Sets connectable property.

Parameters:
  `connectable` - Connectable value.
Returns:
  This for chaining.

#### order

    public GridClientNodeImpl.Builder order(long order)

Set node order within grid topology

Parameters:
  `order` - Node order within grid topology

2018 Copyright © Apache Software Foundation

Follow @ApacheIgnite

Ignite Fabric | : ver. 2.4.0
Release Date | : March 5 2018